Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.examples.heatbugs
Class HeatBugStyle2DColorProvider

    java.lang.Object
      org.eclipse.amp.examples.heatbugs.HeatBugStyle2DColorProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IColorProvider

    public class HeatBugStyle2DColorProvider

extends java.lang.Object
implements org.eclipse.jface.viewers.IColorProvider

Heat Bug Style 2D Java Implementation. Generated by AMF for model: Heatbugs.metaabm in project: org.eclipse.amp.amf.examples.escape

Constructor Summary
`HeatBugStyle2DColorProvider()`

Method Summary
`org.eclipse.swt.graphics.Color` | `getBackground(java.lang.Object object)` Provides a background color for the given Heat Bug.
`org.eclipse.swt.graphics.Color` | `getColor(java.lang.Object object, boolean fill)` Provides a color for Heat Bug based on wether we want to fill or not.
`static org.eclipse.jface.viewers.IColorProvider` | `getDefault()`
`org.eclipse.swt.graphics.Color` | `getForeground(java.lang.Object object)` Provides a foreground color for the given Heat Bug.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HeatBugStyle2DColorProvider

    public HeatBugStyle2DColorProvider()

Method Detail

### getColor

    public org.eclipse.swt.graphics.Color getColor(java.lang.Object object,
                                                   boolean fill)

  Provides a color for Heat Bug based on wether we want to fill or not.

  Parameters:
    `object` - the agent
  Returns:
    the foreground color for the element, or `null` to use the default foreground color

### getForeground

    public org.eclipse.swt.graphics.Color getForeground(java.lang.Object object)

  Provides a foreground color for the given Heat Bug.

  Specified by:
    `getForeground` in interface `org.eclipse.jface.viewers.IColorProvider`
  Parameters:
    `object` - the agent
  Returns:
    the foreground color for the element, or `null` to use the default foreground color

### getBackground

    public org.eclipse.swt.graphics.Color getBackground(java.lang.Object object)

  Provides a background color for the given Heat Bug.

  Specified by:
    `getBackground` in interface `org.eclipse.jface.viewers.IColorProvider`
  Parameters:
    `object` - the agent
  Returns:
    the background color for the element, or `null` to use the default background color

### getDefault

    public static org.eclipse.jface.viewers.IColorProvider getDefault()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD